# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname facter

Name: ruby-%pkgname
Version: 1.5.2
Release: alt1

Summary: Ruby library for retrieving facts from operating systems
Group: Development/Ruby
License: LGPL
Url: http://reductivelabs.com/projects/facter/
Requires: coreutils dmidecode net-tools pciutils

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

Source: %pkgname-%version.tar
Patch: %pkgname-%version-%release.patch

# Automatically added by buildreq on Wed Sep 03 2008 (-bi)
BuildRequires: rpm-build-ruby ruby-tool-setup

%description
A cross-platform Ruby library for retrieving facts from
operating systems. Supports multiple resolution mechanisms, any
of which can be restricted to working only on certain operating
systems or environments. Facter is especially useful for
retrieving things like operating system names, IP addresses, MAC
addresses, and SSH keys.

It is easy to extend Facter to include your own custom facts or
to include additional mechanisms for retrieving facts.

%prep
%setup -n %pkgname-%version
%patch -p1
%update_setup_rb

%build
%ruby_config
%ruby_build

%install
%ruby_install

%files
%doc CHANGELOG README TODO
%_bindir/facter
%ruby_sitelibdir/*

%changelog
* Fri Oct 31 2008 Sir Raorn <raorn@altlinux.ru> 1.5.2-alt1
- [1.5.2]

* Wed Sep 03 2008 Sir Raorn <raorn@altlinux.ru> 1.5.1-alt1
- Built for Sisyphus

